**Versions de l’API** · **V2 (Latest)** · [V1](/integrations/v1/docs?lang=fr)

# Configurations de messagerie

OpenAPI 3.0.3 · API 2.0.0

```json
[
  {
    "url": "https://api.unisoft.world/integrations/v2",
    "description": "API"
  }
]
```

Liste en lecture seule des configurations d’envoi email et SMS de l’organisation (sans secrets). Utilisez l’identifiant d’une configuration email comme `emailConfig` de campagne. Autorisation : `messages:read`.

## Opérations

## GET /messaging-configs

Lister les configurations d’envoi email et SMS

`list_messaging_configs`

Autorisation requise : `messages:read`. Configurations d’envoi email et SMS de l’organisation (sans secrets). Utilisez l’identifiant d’une configuration email comme `emailConfig` de campagne.

### Authentification

```json
[
  {
    "bearerAuth": []
  },
  {
    "apiKeyHeader": []
  }
]
```

### Permissions requises

```json
{
  "accepted": "messages:read",
  "additional": []
}
```

### Réponses

#### HTTP 200

```json
{
  "description": "OK",
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean"
          },
          "data": {
            "$ref": "#/components/schemas/MessagingConfigs"
          }
        }
      }
    }
  }
}
```

#### HTTP 401

```json
{
  "description": "ERREUR",
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean",
            "example": false
          },
          "error": {
            "type": "string",
            "example": "ERROR"
          }
        }
      }
    }
  }
}
```

#### HTTP 403

```json
{
  "description": "AUTORISATION_INSUFFISANTE",
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean",
            "example": false
          },
          "error": {
            "type": "string",
            "example": "INSUFFICIENT_SCOPE"
          }
        }
      }
    }
  }
}
```

### OpenAPI

```json
{
  "x-unisoft-scope": "messages:read",
  "x-unisoft-mcp": {
    "category": "read",
    "readOnly": true,
    "destructive": false,
    "idempotent": true,
    "warn": false
  }
}
```

## Schémas

```json
{
  "components": {
    "schemas": {
      "MessagingConfigs": {
        "type": "object",
        "description": "Configurations d’envoi d’emails et de SMS de l’organisation (sans secrets). Utilisez l’identifiant d’une entrée email comme emailConfig de campagne. La configuration SMS est unique par organisation (le champ smsConfig d’une campagne est ignoré par le processus).",
        "properties": {
          "email": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string"
                },
                "name": {
                  "type": "string",
                  "nullable": true
                },
                "sender": {
                  "type": "string",
                  "nullable": true,
                  "description": "Adresse d’expédition."
                },
                "replyTo": {
                  "type": "string",
                  "nullable": true
                },
                "provider": {
                  "type": "string",
                  "nullable": true
                }
              }
            }
          },
          "sms": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "nullable": true
                },
                "name": {
                  "type": "string",
                  "nullable": true,
                  "description": "Nom d’expéditeur SMS (identifiant d’origine)."
                },
                "provider": {
                  "type": "string",
                  "nullable": true
                },
                "quota": {
                  "type": "integer",
                  "nullable": true,
                  "description": "Crédits SMS restants."
                },
                "active": {
                  "type": "boolean"
                }
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "API Key",
        "description": "Format : `ke_live_xxx`"
      },
      "apiKeyHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key"
      }
    }
  }
}
```
